al_fputc(3)

NAME

al_fputc - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_fputc(ALLEGRO_FILE *f, int c)

DESCRIPTION

Write a single byte to the given file. The byte written is the value of c cast to an unsigned char.

Parameters:

•   c - byte value to write

•   f - file to write to

Returns the written byte (cast back to an int) on success, or EOF on error.